# Pause a subscription Pauses a subscription by transitioning it to the paused status. A paused subscription does not generate invoices and will not advance to new billing periods. The subscription can be resumed later using the resume endpoint. Cannot pause subscriptions with attached schedules. ## Request ```curl curl https://api.stripe.com/v1/subscriptions/{{SUBSCRIPTION_ID}}/pause \ -u "<>" \ -H "Stripe-Version: 2026-04-22.preview" \ -d type=subscription ``` ### Response ```json { "id": "sub_1MoGGtLkdIwHu7ixk5CfdiqC", "object": "subscription", "application": null, "application_fee_percent": null, "automatic_tax": { "enabled": false, "liability": null }, "billing_cycle_anchor": 1679447726, "cancel_at": null, "cancel_at_period_end": false, "canceled_at": null, "cancellation_details": { "comment": null, "feedback": null, "reason": null }, "collection_method": "charge_automatically", "created": 1679447723, "currency": "usd", "customer": "cus_NZP5i1diUz55jp", "days_until_due": null, "default_payment_method": null, "default_source": null, "default_tax_rates": [], "description": null, "discounts": null, "ended_at": null, "invoice_settings": { "issuer": { "type": "self" } }, "items": { "object": "list", "data": [ { "id": "si_NZP5BhUIuWzXDG", "object": "subscription_item", "created": 1679447724, "current_period_end": 1682126126, "current_period_start": 1679447726, "metadata": {}, "plan": { "id": "price_1MoGGsLkdIwHu7ixA9yHsq2N", "object": "plan", "active": true, "amount": 1099, "amount_decimal": "1099", "billing_scheme": "per_unit", "created": 1679447722, "currency": "usd", "interval": "month", "interval_count": 1, "livemode": false, "metadata": {}, "nickname": null, "product": "prod_NZP5rEATBlScM9", "tiers_mode": null, "transform_usage": null, "trial_period_days": null, "usage_type": "licensed" }, "price": { "id": "price_1MoGGsLkdIwHu7ixA9yHsq2N", "object": "price", "active": true, "billing_scheme": "per_unit", "created": 1679447722, "currency": "usd", "custom_unit_amount": null, "livemode": false, "lookup_key": null, "metadata": {}, "nickname": null, "product": "prod_NZP5rEATBlScM9", "recurring": { "interval": "month", "interval_count": 1, "trial_period_days": null, "usage_type": "licensed" }, "tax_behavior": "unspecified", "tiers_mode": null, "transform_quantity": null, "type": "recurring", "unit_amount": 1099, "unit_amount_decimal": "1099" }, "quantity": 1, "subscription": "sub_1MoGGtLkdIwHu7ixk5CfdiqC", "tax_rates": [] } ], "has_more": false, "total_count": 1, "url": "/v1/subscription_items?subscription=sub_1MoGGtLkdIwHu7ixk5CfdiqC" }, "latest_invoice": "in_1MoGGwLkdIwHu7ixHSrelo8X", "livemode": false, "metadata": {}, "next_pending_invoice_item_invoice": null, "on_behalf_of": null, "pause_collection": null, "payment_settings": { "payment_method_options": null, "payment_method_types": null, "save_default_payment_method": "off" }, "pending_invoice_item_interval": null, "pending_setup_intent": null, "pending_update": null, "plan": { "id": "price_1MoGGsLkdIwHu7ixA9yHsq2N", "object": "plan", "active": true, "amount": 1099, "amount_decimal": "1099", "billing_scheme": "per_unit", "created": 1679447722, "currency": "usd", "interval": "month", "interval_count": 1, "livemode": false, "metadata": {}, "nickname": null, "product": "prod_NZP5rEATBlScM9", "tiers_mode": null, "transform_usage": null, "trial_period_days": null, "usage_type": "licensed" }, "quantity": 1, "schedule": null, "start_date": 1679447723, "status": "paused", "test_clock": null, "transfer_data": null, "trial_end": null, "trial_settings": { "end_behavior": { "missing_payment_method": "create_invoice" } }, "trial_start": null } ``` ## Returns The subscription object. ## Parameters - `type` (enum, required) The type of pause to apply. Possible enum values: - `subscription` Pauses collection, billing, and servicing. - `bill_for` (object, optional) Controls what to bill for when pausing the subscription. - `bill_for.outstanding_usage_through` (object, optional) Controls when to bill for metered usage in the current period. Defaults to `{ type: "now" }`. - `bill_for.outstanding_usage_through.type` (enum, required) When to bill metered usage in the current period. Possible enum values: - `none` Don’t bill for metered usage in the current period. - `now` Bill for metered usage in the current period, from current period start to pause time (default). - `bill_for.unused_time_from` (object, optional) Controls when to credit for unused time on licensed items. Defaults to `{ type: "now" }`. - `bill_for.unused_time_from.type` (enum, required) When to credit for unused time. Possible enum values: - `item_current_period_start` Credit unused time from each item’s current period start to period end. - `none` Don’t credit for unused time. - `now` Credit unused time from pause time to period end (default). - `invoicing_behavior` (enum, optional) Determines how to handle debits and credits when pausing. The default is `pending_invoice_item`. Possible enum values: - `invoice` Invoices immediately for debits and credits in the current period. If pausing doesn’t create any invoice items, Stripe doesn’t generate an invoice. - `pending_invoice_item` Creates pending invoice items for debits and credits in the current period.